datacache <- new.env(hash=TRUE, parent=emptyenv())

ensembl.based.hgu133a <- function() showQCData("ensembl.based.hgu133a", datacache)
ensembl.based.hgu133a_dbconn <- function() dbconn(datacache)
ensembl.based.hgu133a_dbfile <- function() dbfile(datacache)
ensembl.based.hgu133a_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
ensembl.based.hgu133a_dbInfo <- function() dbInfo(datacache)

ensembl.based.hgu133aORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "ensembl.based.hgu133a.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)

    ## Create the OrgDb object
    ## sPkgname <- sub(".db$","",pkgname)
    ## txdb <- loadDb(system.file("extdata", paste(sPkgname,
    ##   ".sqlite",sep=""), package=pkgname, lib.loc=libname),
    ##                packageName=pkgname)    
    ## dbNewname <- AnnotationDbi:::dbObjectName(pkgname,"ChipDb")
    ## ns <- asNamespace(pkgname)
    ## assign(dbNewname, txdb, envir=ns)
    ## namespaceExport(ns, dbNewname)

    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.ENSEMBL_BASED_CHIP_DB("ensembl.based.hgu133a", "chip ensembl.based.hgu133a", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("ensembl.based.hgu133a.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(ensembl.based.hgu133a_dbconn())
}

