\name{ensembl.based.hgu133aGENE_STRAND}
\alias{ensembl.based.hgu133aGENE_STRAND}
\title{Map custom probe-set identifiers to EnsEMBL gene Strand}
\description{
	ensembl.based.hgu133aGENE_STRAND is an R object that contains mappings between
	custom probesets identifiers and EnsEMBL gene Strand.
}
\details{
	This object was produced by first aligning the manufacturer's probes
	to the EnsEMBL, cdna, gene and dna sequences (ftp://ftp.ensembl.org/pub/release-68).
	Probe-sets are then reconstructed using the probes mapping the same gene locus.
	The EnsEMBL identifier for this gene is then retrieved. In addition, probes which cluster
	together whitout spanning a gene locus are still assembled into a probeset and their strand stored.
}

\examples{
	x <- ensembl.based.hgu133aGENE_STRAND
	# Get the probe identifiers that are mapped to an GENE_STRAND
	mapped_probes <- mappedkeys(x)
	# Convert to a list
	xx <- as.list(x[mapped_probes])
	if(length(xx) > 0) {
		# Get the GENE_STRAND for the first five probes
		xx[1:5]
		# Get the first one
		xx[6008]
	}
}
\keyword{datasets}
