\name{ensembl.based.hgu133aMAP}
\alias{ensembl.based.hgu133aMAP}
\title{Map between custom probe-set identifiers and cytogenetic maps/bands}
\description{
   ensembl.based.hgu133aMAP is an R object that provides mappings between
   custom probe-set identifiers and cytoband locations.
}
\details{
	Each custom probe-set identifier is mapped to a cytoband locations.

	Cytogenetic bands for most higher organisms are labeled p1, p2, p3,
	q1, q2, q3 (p and q are the p and q arms), etc., counting from the
	centromere out toward the telomeres. At higher resolutions, sub-bands
	can be seen within the bands. The sub-bands are also numbered from the
	centromere out toward the telomere. Thus, a label of 7q31.2 indicates
	that the band is on chromosome 7, q arm, band 3, sub-band 1, and
	sub-sub-band 2.

	Mappings were based on data provided by: ftp://ftp.ensembl.org/pub/release-68

}
\examples{
        x <- ensembl.based.hgu133aMAP
        # Get the probe identifiers that are mapped to any cytoband
        mapped_probes <- mappedkeys(x)
        # Convert to a list
        xx <- as.list(x[mapped_probes])
        if(length(xx) > 0) {
          # Get the MAP for the first five probes
          xx[1:5]
          # Get the first one
          xx[[1]]
        }
}
\keyword{datasets}
