\name{ensembl.based.hgu133aPROBE_QTY}
\alias{ensembl.based.hgu133aPROBE_QTY}
\title{Associate the custom probe-set identifiers with the number of member probes}
\description{
	ensembl.based.hgu133aPROBE_QTY is an R object that contains the number of member probes for every custom probe-set.
}
\details{
	This object was produced by first aligning the manufacturer's probes
	to the EnsEMBL, cdna, gene and dna sequences (ftp://ftp.ensembl.org/pub/release-68).
	Probe-sets are then reconstructed using the probes mapping the same gene locus.
	The EnsEMBL identifier for this gene is then retrieved. In addition, probes which cluster
	together whitout spanning a gene locus are still assembled into a probeset. The number of
	members probes is stored as well.
}

\examples{
	x <- ensembl.based.hgu133aPROBE_QTY
	# Get the probe identifiers that are mapped to an PROBE_QTY
	mapped_probes <- mappedkeys(x)
	# Convert to a list
	xx <- as.list(x[mapped_probes])
	if(length(xx) > 0) {
		# Get the PROBE_QTY for the first five probes
		xx[1:5]
		# Get the first one
		xx[6008]
	}
}
\keyword{datasets}
