\name{ensembl.based.hgu133aUNIGENE}
\alias{ensembl.based.hgu133aUNIGENE}
\alias{ensembl.based.hgu133aUNIGENE2PROBE}
\title{Map between custom probe-set identifiers and UniGene cluster identifiers}
\description{
   ensembl.based.hgu133aUNIGENE is an R object that provides mappings between
   custom probe-set identifiers and UniGene identifiers.
}
\details{
  Each custom probe-set identifiers is mapped to a UniGene identifier. An \code{NA} is
  reported if the custom probe-set identifiers cannot be mapped to UniGene at this time.

  A UniGene identifier represents a cluster of sequences of a gene. Using
  UniGene identifiers one can query the UniGene database for information about
  the sequences or the Entrez Gene database for information about the
  genes.  
  
  Mappings were based on data provided by: ftp://ftp.ensembl.org/pub/release-68

}
\examples{
	x <- ensembl.based.hgu133aUNIGENE
	# Get the probe identifiers that are mapped to an UNIGENE ID
	mapped_probes <- mappedkeys(x)
	# Convert to a list
	xx <- as.list(x[mapped_probes])
	if(length(xx) > 0) {
		# Get the UNIGENE for the first five probes
		xx[1:5]
		# Get the first one
		xx[6008]
	}

	#For the reverse map UNIGENE2PROBE:
	# Convert to a list
	xx <- as.list(ensembl.based.hgu133aUNIGENE2PROBE)
	if(length(xx) > 0){
		# Gets the custom probe-set identifiers for the first five Unigene IDs
		xx[1:5]
		# Get the first one
		xx[[1]]
	}
}

\keyword{datasets}
