\name{ensembl.based.hgu133aUNIPROT}
\alias{ensembl.based.hgu133aUNIPROT}
\alias{ensembl.based.hgu133aUNIPROT2PROBE}
\title{Map Uniprot accession numbers with custom probe-set identifiers}
\description{ 
  ensembl.based.hgu133aUNIPROT is an R object that contains mappings between 
  custom probe-set identifiers and Uniprot accession numbers.
}
\details{
  This object is a simple mapping of custom probe-set identifier using their related EnsEMBL identifier to Uniprot
  Accessions.

  Mappings were based on data provided by: ftp://ftp.ensembl.org/pub/release-68
}

\examples{
	x <- ensembl.based.hgu133aUNIPROT
	# Get the entrez gene IDs that are mapped to an Uniprot ID
	mapped_genes <- mappedkeys(x)
	# Convert to a list
	xx <- as.list(x[mapped_genes])
	if(length(xx) > 0) {
		# Get the Uniprot IDs for the first five genes
		xx[1:5]
		# Get the first one
		xx[6008]
	}

	#For the reverse map UNIPROT2PROBE:
	# Convert to a list
	xx <- as.list(ensembl.based.hgu133aUNIPROT2PROBE)
	if(length(xx) > 0){
		# Gets the custom probe-set identifiers for the first five Uniprot IDs
		xx[1:5]
		# Get the first one
		xx[[1]]
	}
}
\keyword{datasets}
